package com.cool.store.service;

import com.cool.store.context.LoginUserInfo;
import com.cool.store.request.AddSignFranchiseRequest;
import com.cool.store.request.AuditApproveRequest;
import com.cool.store.request.AuditResultRequest;
import com.cool.store.response.AddSignFranchiseResponse;
import com.cool.store.response.ResponseResult;

public interface SignFranchiseService {
    /**
     * 提交加盟合同签约
     *
     * @param request
     * @return
     */
    ResponseResult submitSignFranchise(AddSignFranchiseRequest request, LoginUserInfo user);

    /**
     * 驳回之后从新提交数据
     * @param request
     * @param user
     * @return
     */
    Boolean reSubmitSignFranchise(AddSignFranchiseRequest request, LoginUserInfo user);


    AddSignFranchiseResponse getSignFranchise(Long shopId);

    /**
     * 分部内勤审核
     * @param request
     * @return
     */
    Boolean auditApprove(AuditApproveRequest request, LoginUserInfo user);

    /**
     * 加盟合同退回后重新缴费
     * @param shopId
     * @return
     */
    Boolean rePay(Long shopId);

    Integer dateHandle();
}
